MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023292Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-16 17:042013-04-29 15:21
ReporterPawel 
Assigned Toaba 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023292: The variable 'k' is being used for this loop and for the outer loop.
DescriptionIn gccana_circ2d3tan_2.cxx line 212
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021706)
aba (developer)
2012-10-10 11:49

Before defining a new variable for the inner loop the function GccAna_Circ2d3Tan in GccAna_Circ2d3Tan_2.cxx returned an incorrect set of circle tangents. The reason was in fact that inner loop changed variable 'k' and therefore the program did only one iteration in the outer loop instead of two.
(0021707)
aba (developer)
2012-10-10 11:57

Git branch CR23292 is ready to be reviewed.
Dear Oleg, please review.
(0021803)
oan (developer)
2012-10-16 18:13

Dear JGV,
Current fix will produce more solutions than source implementation.
Could you please consider consistency of the changes made by ABA?
(0021849)
jgv (developer)
2012-10-19 14:41

No remarks
(0022049)
apn (administrator)
2012-11-01 12:28

Dear BugMaster,
Branch CR23292 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

- Related Changesets
occt: master 3d8539a3
Timestamp: 2012-10-10 07:30:33
Author: aba
Details ] Diff ]
0023292:The variable 'k' is being used for this loop and for the outer loop.

New variable 'm' was defined for the inner loop in line 212 of gccana_circ2d3tan_2.cxx.

Rebased on current master.
mod - src/GccAna/GccAna_Circ2d3Tan_2.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-16 17:04 Pawel New Issue
2012-07-16 17:04 Pawel Assigned To => bugmaster
2012-08-17 16:46 bugmaster Assigned To bugmaster => jgv
2012-08-17 16:46 bugmaster Status new => assigned
2012-10-09 10:17 oan Assigned To jgv => aba
2012-10-10 11:49 aba Note Added: 0021706
2012-10-10 11:50 aba Assigned To aba => oan
2012-10-10 11:57 aba Note Added: 0021707
2012-10-11 07:40 abv Status assigned => resolved
2012-10-16 18:13 oan Assigned To oan => jgv
2012-10-16 18:13 oan Note Added: 0021803
2012-10-19 14:41 jgv Note Added: 0021849
2012-10-19 14:41 jgv Status resolved => reviewed
2012-10-23 15:35 abv Target Version 6.5.4 => 6.6.0
2012-10-23 16:35 mkv Assigned To jgv => mkv
2012-11-01 12:28 apn Note Added: 0022049
2012-11-01 12:28 apn Test case number => Not needed
2012-11-01 12:28 apn Assigned To mkv => bugmaster
2012-11-01 12:28 apn Status reviewed => tested
2012-11-16 13:03 aba Changeset attached => occt master 3d8539a3
2012-11-16 13:03 aba Assigned To bugmaster => aba
2012-11-16 13:03 aba Status tested => verified
2012-11-16 13:03 aba Resolution open => fixed
2012-12-10 17:16 aba Changeset attached => occt master 3d8539a3
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker